perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Stevens <michael.stev...@dianomi.com>
Subject Re: ANNOUNCE: Embperl 2.4.0
Date Mon, 11 Oct 2010 09:33:08 GMT
Hi.

We're very excited about the release :)

I couldn't find it linked on enbperl.org though :( Still says current
release is 2.2.

On 4 October 2010 05:44, Gerald Richter - ECOS <richter@ecos.de> wrote:

> The URL
>
>    http://www.embperl.org/downloads/Embperl-2.4.0.tar.gz
>
> has entered CPAN as
>
>  file: $CPAN/authors/id/G/GR/GRICHTER/Embperl-2.4.0.tar.gz
>  size: 732920 bytes
>   md5: 2d4e3a903a04fcc559718342fa37753f
>
>
> Major Improvements are that Embperl now supports Perl up to 5.12.2 and
> a lot of additions to Embperl::Form, a module for building smart webforms.
>
> ---
>
> Embperl is a system for building dynamic websites with Perl.
>
> It gives you the power to embed Perl code in your HTML/XML documents and
> the ability to build your Web site out of small reusable objects in an
> object-oriented style.
>
> Embperl has several features which are especially useful for creating
> Websites, including dynamic tables, form field processing, URL
> escaping/unescaping, session handling, caching, xslt transformation and
> more.
>
> See http://perl.apache.org/embperl/ (english) or
> http://www.ecos.de/embperl/ (german) for more information.
> (website is not updated yet, but this will follow shortly)
>
> Enjoy
>
> Gerald
>
>
> Changes since 2.3.0:
>
>    - Supports now Perl 5.12: Cope with changed flags G_ARRAY
>      and G_SCALAR, SVt_RV is now SVt_IV
>
>    - Support for CGI.pm 3.43 (included within Perl 5.10.1)
>      for file uplaods. CGI.pm < 2.43 is not supported anymore.
>
>    - A lot of enhancements for Embperl::Form
>
>    - Add example for usage of Embperl::Form. See
>      eg/forms/README.txt. Can be viewed used using "make start"
>
>    - Increased size limit for errormessage from 1024 to 4096
>
>    - Makefile.PL can now handle compiling 32Bit code on 64Bit
>      sytsem if Perl was compiled as 32Bit application
>
>    - Adaption of tests to changed error messages of perl 5.10
>
>    - Makefile.PL can now cope with OpenSuSE 11.2, if perl,
>      mod_perl and apache are installed from OpenSuSE packages.
>
>    - Fix make test error for Perl compiled with DEBUGGING on
>
>    - Support for internationalization in Emberl::Form
>
>    - Do not link against unused libz
>
>    - Fix Execute parameter app_name (was appname, but app_name
>      is correct, appname is still accepted, but might not always
>      work)
>
>    - Add parameter checks for Execute parameters to avoid segfaults
>      in case of non refs where refs are expected.
>
>    - Add more controls to Embperl::Form
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
> For additional commands, e-mail: embperl-help@perl.apache.org
>
>


-- 
Michael Stevens
Dianomi Ltd
18 Buckingham Gate
London SW1E 6LB

Tel: 020 7802 5530
Fax: 020 7630 7356
www.dianomi.com

The information in this message and any attachment is intended for the
addressee and is confidential and may be subject to legal privilege. Dianomi
Ltd, Registered Office: One America Square, Crosswall, London. EC3N 2SG.
Registered in England and Wales with Company Registration Number 4513809.
VAT registration number: 809754988

Mime
View raw message